<div class="row justify-content-center">
    <div class="col-8">
        <div *ngIf="cISReport">
            <h2><span>CIS Report</span> {{ cISReport.id }}</h2>

            <hr>

            <jhi-alert-error></jhi-alert-error>

            <dl class="row-md jh-entity-details">
                <dt><span>Timestamp</span></dt>
                <dd>
                    <span>{{ cISReport.timestamp }}</span>
                </dd>
                <dt><span>Report Type</span></dt>
                <dd>
                    <span>{{ cISReport.reportType }}</span>
                </dd>
                <dt><span>Infrastructure</span></dt>
                <dd>
                    <span>{{ cISReport.infrastructure }}</span>
                </dd>
                <dt><span>Node</span></dt>
                <dd>
                    <span>{{ cISReport.node }}</span>
                </dd>
                <dt><span>Total Pass</span></dt>
                <dd>
                    <span>{{ cISReport.totalPass }}</span>
                </dd>
                <dt><span>Total Fail</span></dt>
                <dd>
                    <span>{{ cISReport.totalFail }}</span>
                </dd>
                <dt><span>Total Warn</span></dt>
                <dd>
                    <span>{{ cISReport.totalWarn }}</span>
                </dd>
                <dt><span>Total Info</span></dt>
                <dd>
                    <span>{{ cISReport.totalInfo }}</span>
                </dd>
                <dt><span>Report Infra</span></dt>
                <dd>
                    <div *ngIf="cISReport.reportInfra">
                        <a [routerLink]="['/cis-report-infra', cISReport.reportInfra?.id, 'view']">{{ cISReport.reportInfra?.id }}</a>
                    </div>
                </dd>
            </dl>

            <button type="submit"
                    (click)="previousState()"
                    class="btn btn-info">
                <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span>Back</span>
            </button>

            <button type="button" hidden 
                    [routerLink]="['/cis-report', cISReport.id, 'edit']"
                    class="btn btn-primary">
                <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span>Edit</span>
            </button>
        </div>
    </div>
</div>
